import { $get, $post } from "@/plugins/axios";

// user-manage
export const userListPage = datas => {
  return $get("/api/sys/user/list", datas);
};
export const updateUser = datas => {
  return $post("/api/sys/user/save", datas);
};
export const ableUser = ({ id, enable }) => {
  return $post("/api/sys/user/enable", { id, enable });
};
export const updatePwd = id => {
  return $post("/api/sys/user/reset", { id });
};
export const userBindRoles = ({ id, roleIds }) => {
  return $post("/api/sys/user/bindRoles", { id, roleIds });
};
export const userBoundRoles = userId => {
  return $get("/api/sys/role/boundRoles", { userId });
};
// role-manage
export const roleListPage = datas => {
  return $get("/api/sys/role/list", datas);
};
export const ableRole = ({ id, enable }) => {
  return $post("/api/sys/role/enable", { id, enable });
};
export const updateRole = datas => {
  return $post("/api/sys/role/save", datas);
};
export const deleteRole = datas => {
  return $post("/api/sys/role/remove", datas);
};
export const roleBoundPrivileges = roleId => {
  return $get("/api/sys/privilege/boundPrivileges", { roleId });
};
// menu-manage
export const menuList = datas => {
  return $get("/api/sys/privilege/list", datas);
};
export const updateMenu = datas => {
  return $post("/api/sys/privilege/save", datas);
};
export const deleteMenu = datas => {
  return $post("/api/sys/privilege/remove", datas);
};
// organization-manage
export const organizationList = datas => {
  return $get("/api/sys/org/list", datas);
};
export const updateOrganization = datas => {
  return $post("/api/sys/org/save", datas);
};
export const ableOrganization = ({ id, enable }) => {
  return $post("/api/sys/org/enable", { id, enable });
};
export const deleteOrganization = id => {
  return $post("/api/sys/org/remove", { id });
};

// --------------------------------->
// common-rule
export const commonRuleDetail = schoolId => {
  return $get("/api/basic/examRule/list", { schoolId });
};
export const saveCommonBusinessRule = datas => {
  return $post("/api/basic/examRule/save", datas);
};
// card-rule
export const cardRuleListPage = datas => {
  return $get("/api/basic/cardRule/list", datas);
};
export const cardRuleDetail = id => {
  return $get("/api/basic/cardRule/getOne", { id });
};
export const saveCardRule = datas => {
  return $post("/api/basic/cardRule/save", datas);
};
export const ableCardRule = ({ id, enable }) => {
  return $post("/api/basic/cardRule/enable", { id, enable });
};
// common-card-template / common-print-template / param-print-template
export const templateListPage = datas => {
  return $get("/api/basic/template/list", datas);
};
export const updateTemplate = datas => {
  return $post("/api/basic/template/save", datas);
};
export const ableTemplate = ({ id, enable }) => {
  return $post("/api/basic/template/enable", { id, enable });
};
export const templateCategoryList = type => {
  return $get("/api/basic/template/list", type);
};
// course-manage
export const courseListPage = datas => {
  return $get("/api/basic/course/list", datas);
};
export const courseList = datas => {
  return $get("/api/basic/course/list", datas);
};
export const deleteCourse = id => {
  return $get("/api/basic/course/remove", { id });
};
export const updateCourse = datas => {
  return $post("/api/basic/course/save", datas);
};

// common
export const uploadFile = datas => {
  return $post("/api/common/file/upload", datas);
};

// system
